On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteWallet ID
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api-m.sandbox.paypal.com/wallets/8ef02857-a71e-4ea2-bcf9-57d3a41bc6ba"{
"external_customer_id": "client-12345",
"status": "ACTIVE",
"available_balance": {
"value": 120.35,
"currency_code": "USD"
},
"ongoing_usage": {
"value": 100,
"currency_code": "USD"
},
"net_balance": {
"value": 50,
"currency_code": "USD"
},
"name": "Prepaid Wallet",
"rate_amount": "1.5",
"available_credits": "28.0",
"ongoing_usage_credits": "10.0",
"net_balance_credits": "18.0",
"consumed_credits": "2.0",
"created_at": "2025-01-01T00:00:00Z",
"expiration_at": "2025-01-01T00:00:00Z",
"terminated_at": "2025-01-01T00:00:00Z",
"applies_to": {
"fee_types": [
"SUBSCRIPTION"
]
},
"recurring_transaction_rules": [
{
"trigger": "THRESHOLD",
"paid_credits": "20.0",
"granted_credits": "10.0",
"method": "FIXED",
"interval": "MONTHLY",
"started_at": "2025-01-01T00:00:00Z",
"expiration_at": "2025-01-01T00:00:00Z",
"threshold_credits": "5.0",
"target_ongoing_balance": "200.0"
}
],
"id": "sub_01H3YT8P7Q5R3S1T2U0V4W9X8"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "dc99e3955cdd8",
"details": [
{
"field": "/email",
"value": "abc",
"location": "body",
"issue": "INVALID_PARAMETER_VALUE",
"description": "The value of a field does not conform to the expected format."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}